> ## Name

> cgGetParameterType - get a program parameter's type

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtype cgGetParameterType( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns the type enumerant of param.

> Returns CG_UNKNOWN_TYPE if an error occurs.

> ## Description

> cgGetParameterType allows the application to retrieve the type of a parameter in a Cg program. This type is necessary for the application to be able to supply the program's inputs and use the program's outputs.

> cgGetParameterType will return CG_ARRAY if the parameter is an array, CG_STRUCT if the parameter is a struct, or CG_UNIFORM_BUFFER if the parameter is a uniform buffer. Otherwise it will return the data type associated with the parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterType was introduced in Cg 1.1.

> ## See Also

> cgGetType, cgGetParameterBaseType, cgGetTypeString, cgGetParameterClass